# -*- encoding : utf-8 -*-
class Admin < ActiveRecord::Base
  # Include default devise modules. Others available are:
  # :token_authenticatable, :confirmable,
  # :lockable, :timeoutable and :omniauthable
  devise :database_authenticatable, :registerable,
         :recoverable, :rememberable, :trackable, :validatable

  attr_accessor :login
  
  # Setup accessible (or protected) attributes for your model
  attr_accessible :email, :password, :password_confirmation, :remember_me, :username, :name, :firstname
  # attr_accessible :title, :body
  
  
	protected

	 def self.find_for_database_authentication(warden_conditions)
	   conditions = warden_conditions.dup
	   login = conditions.delete(:login)
	   where(conditions).where(["username = :value OR email = :value", { :value => login }]).first
	 end
  
  
end
